共販の入荷情報を取得する [実装予定]
共販の入荷情報を取得します。最大で同時に 1000 件まで取得できます。
query Parameters
| date required | string <date> Example: date=2023-03-29 入荷日 |
Responses
Response samples
- 200
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",
- "items": [
- {
- "qualityId": "9da2de7a-656a-47f8-9e8e-d5ecab62418f",
- "sizeId": "f98600f7-1d0f-4a64-936e-93e133055658",
- "count": 100
}
]
}
]共販の出荷情報を取得する [実装予定]
共販の出荷情報を取得します。最大で同時に 1000 件まで取得できます。
query Parameters
| date required | string <date> Example: date=2023-03-29 出荷日 |
Responses
Response samples
- 200
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
- "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",
- "items": [
- {
- "qualityId": "9da2de7a-656a-47f8-9e8e-d5ecab62418f",
- "sizeId": "f98600f7-1d0f-4a64-936e-93e133055658",
- "count": 100
}
]
}
]お知らせの下書きを作成する
配信専用(返信不可)のお知らせの下書きを作成します。
Request Body schema: application/json
| title required | string タイトル |
| body required | string 本文 |
| authorUserId required | string お知らせを作成した職員 ID |
| categoryId required | string <uuid> お知らせカテゴリ ID |
required | AnnouncementTargetAll (object) or AnnouncementTargetGroup (object) or AnnouncementTargetIndividual (object) (AnnouncementTarget) お知らせ送信先 |
Responses
Request samples
- Payload
{- "title": "お知らせタイトル",
- "body": "お知らせ本文",
- "authorUserId": "7a8e7a82-8cdb-4cb8-926c-0a7d08518530",
- "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",
- "target": {
- "type": "all"
}
}Response samples
- 201
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "title": "お知らせタイトル",
- "body": "お知らせ本文",
- "authorUserId": "7a8e7a82-8cdb-4cb8-926c-0a7d08518530",
- "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",
- "target": {
- "type": "all"
}
}お知らせの下書きを作成する
配信専用(返信不可)のお知らせの下書きを作成します。
path Parameters
| communityId required | string <uuid> お知らせを配信するコミュニティの ID |
Request Body schema: application/json
| title required | string タイトル |
| body | string 本文 |
| authorUserId required | string お知らせを作成した職員の ID |
| categoryId required | string <uuid> お知らせカテゴリ ID |
required | CommunityAnnouncementTargetAll (object) or CommunityAnnouncementTargetGroup (object) or CommunityAnnouncementTargetIndividual (object) (CommunityAnnouncementTarget) お知らせ送信先 |
Responses
Request samples
- Payload
{- "title": "お知らせタイトル",
- "body": "お知らせ本文",
- "authorUserId": "7a8e7a82-8cdb-4cb8-926c-0a7d08518530",
- "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",
- "target": {
- "type": "all"
}
}Response samples
- 201
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "title": "お知らせタイトル",
- "body": "お知らせ本文",
- "authorUserId": "7a8e7a82-8cdb-4cb8-926c-0a7d08518530",
- "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0",
- "target": {
- "type": "all"
}
}お知らせにファイルを添付する
作成済みのお知らせ下書きにファイルを添付します。
path Parameters
| communityId required | string <uuid> お知らせを配信するコミュニティの ID |
| announcementId required | string <uuid> お知らせ ID |
Request Body schema: multipart/form-data
| files required | string <binary> ファイルの本体。複数指定可。filename と Content-Type が必須です。1つのリクエストでアップロードするファイルの合計は10個以下にしてください。また、1つのファイルの容量は10MB以下にしてください。 |
Responses
選果プロジェクトを取得する [草案]
指定したプロジェクトの情報を規格一覧(productClasses)を含めて取得します。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
Responses
Response samples
- 200
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "code": "string",
- "name": "string",
- "productClasses": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "code": "string"
}
]
}ロット一覧を取得する [草案]
指定したプロジェクトのロット一覧を取得します。レスポンスには items(規格ごとの集計)が含まれます。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
Responses
Response samples
- 200
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
- "machineId": "9f61f395-8150-4531-9240-2cb221ad2692",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "brix": "10.5",
- "items": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}
]ロットを作成する [草案]
指定したプロジェクトに新しいロットを作成します。 items(規格ごとの集計)と details(個別果実の計測データ)はどちらも任意です。 details のみを送信した場合、items は productClassId ごとに自動集計されます。 items と details を両方送信した場合、items はそのまま保存されます。 details は別エンドポイント(PUT /details)でも後から登録・置換できます。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
Request Body schema: application/json
| machineId required | string <uuid> 選果機 ID |
| producerId required | string <uuid> 生産者 ID |
| brix | string or null <decimal> (Brix) 糖度 |
Array of objects (SortingLotItemInput) 規格ごとの集計。details のみ送信した場合は自動計算されます。 | |
Array of objects (SortingLotDetailInput) 個別果実の計測データ |
Responses
Request samples
- Payload
{- "machineId": "9f61f395-8150-4531-9240-2cb221ad2692",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "brix": "10.5",
- "items": [
- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
], - "details": [
- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}Response samples
- 201
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
- "machineId": "9f61f395-8150-4531-9240-2cb221ad2692",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "brix": "10.5",
- "items": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}ロットを取得する [草案]
指定したロットの情報を items(規格ごとの集計)を含めて取得します。個別果実の計測データ(details)は別エンドポイントから取得してください。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
| lotId required | string <uuid> ロット ID |
Responses
Response samples
- 200
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
- "machineId": "9f61f395-8150-4531-9240-2cb221ad2692",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "brix": "10.5",
- "items": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}ロットを更新する [草案]
指定したロットの情報を更新します。すべてのフィールドは任意です。 details のみを送信した場合、items は productClassId ごとに自動集計されます。 items と details を両方送信した場合、items はそのまま保存されます。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
| lotId required | string <uuid> ロット ID |
Request Body schema: application/json
| brix | string or null <decimal> (Brix) 糖度 |
Array of objects (SortingLotItemInput) 規格ごとの集計。details のみ送信した場合は自動計算されます。 | |
Array of objects (SortingLotDetailInput) 個別果実の計測データ |
Responses
Request samples
- Payload
{- "brix": "10.5",
- "items": [
- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
], - "details": [
- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}Response samples
- 200
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
- "machineId": "9f61f395-8150-4531-9240-2cb221ad2692",
- "producerId": "09cbf28b-153f-46c1-af4f-7ee5a3a319fc",
- "brix": "10.5",
- "items": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]
}ロットの個別果実データを取得する [草案]
指定したロットの個別果実の計測データ(details)をページネーション付きで取得します。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
| lotId required | string <uuid> ロット ID |
query Parameters
| limit | integer Default: 100 取得件数(デフォルト 100) |
| offset | integer Default: 0 取得開始位置(デフォルト 0) |
Responses
Response samples
- 200
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
], - "total": 0
}ロットに個別果実データを追加する [草案]
指定したロットに個別果実の計測データをバルクで追加します。既存の details に追記されます。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
| lotId required | string <uuid> ロット ID |
Request Body schema: application/json
| productClassId required | string <uuid> 規格 ID |
| count required | integer 個数 |
| weight required | integer 重量(グラム) |
| brix | string or null <decimal> (Brix) 糖度 |
Responses
Request samples
- Payload
[- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]Response samples
- 201
{- "count": 0
}ロットの個別果実データを全件置換する [草案]
指定したロットの個別果実データを全件置換します。空配列を送信すると全件削除されます。
path Parameters
| projectId required | string <uuid> プロジェクト ID |
| lotId required | string <uuid> ロット ID |
Request Body schema: application/json
| productClassId required | string <uuid> 規格 ID |
| count required | integer 個数 |
| weight required | integer 重量(グラム) |
| brix | string or null <decimal> (Brix) 糖度 |
Responses
Request samples
- Payload
[- {
- "productClassId": "ee0a8d5d-95be-436b-b6f3-7427d63cd622",
- "count": 0,
- "weight": 0,
- "brix": "10.5"
}
]Response samples
- 200
{- "count": 0
}